/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.tools

import org.junit.Assert
import org.junit.Test

class FloatFormatterTest {
    @Test
    fun testFormat() {
        Assert.assertEquals(FloatFormatter.format(0.0f), "0.0")
        Assert.assertEquals(FloatFormatter.format(0.00001f), "0.0")
        Assert.assertEquals(FloatFormatter.format(0.10f), "0.1")
        Assert.assertEquals(FloatFormatter.format(10.0001f), "10.0")
    }
}
